ipykernel (6.29.5-2) unstable; urgency=medium

  * Team upload.

  [ Julian Gilbey ]
  * Fix DeprecationWarning (closes: #1088771)
  * Clean more build artefacts (closes: #1047471)

  [ Colin Watson ]
  * Accept Mapping in Kernel.user_ns instead of dict (closes: #1088315).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2024 01:05:02 +0000

ipykernel (6.29.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Jul 2024 11:08:17 +0100

ipykernel (6.29.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add compat with pytest 8 (closes: #1070112).

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Jun 2024 09:54:33 +0100

ipykernel (6.29.3-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Team Upload
  * New upstream version (Closes: #1056413, #1058305)
  * refresh patches
  * remove ref. to "mock", package uses "unittest.mock"

  [ Emmanuel Arias ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Remove patch fix_asyncio.patch that is missing from
    debian/patches/series.
  * d/salsa-ci.yml: Enable salsa-ci.
  * d/tests/pytest: Update autopgktest to make it work.
  * d/tests/control: Add Restrictions: allow-stderr.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 23:25:38 +0100

ipykernel (6.24.0-3) unstable; urgency=medium

  * Team upload.
  * *Really* skip test which fails on the buildds but works in a local sbuild

 -- Julian Gilbey <jdg@debian.org>  Wed, 19 Jul 2023 20:16:28 +0100

ipykernel (6.24.0-2) unstable; urgency=medium

  * Team upload.
  * Skip test which fails on the buildds but works in a local sbuild

 -- Julian Gilbey <jdg@debian.org>  Mon, 17 Jul 2023 21:37:04 +0100

ipykernel (6.24.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jul 2023 15:51:09 +0100

ipykernel (6.23.3-3) unstable; urgency=medium

  * Team upload.
  * Put the Breaks clause in the correct place in d/control!

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jul 2023 09:26:49 +0100

ipykernel (6.23.3-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks on older nbclient, as the autopkgtests fail otherwise

 -- Julian Gilbey <jdg@debian.org>  Wed, 12 Jul 2023 20:07:59 +0100

ipykernel (6.23.3-1) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * New upstream release 6.18.0 (unreleased).

  [ Julian Gilbey ]
  * New upstream release 6.23.3

 -- Julian Gilbey <jdg@debian.org>  Sun, 02 Jul 2023 13:06:28 +0100

ipykernel (6.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 07 Nov 2022 17:15:43 +0100

ipykernel (6.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 29 Oct 2022 08:49:09 +0200

ipykernel (6.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Oct 2022 21:43:02 +0200

ipykernel (6.15.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 19 Sep 2022 12:46:19 +0200

ipykernel (6.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 07 Sep 2022 07:54:37 +0200

ipykernel (6.15.1-2) unstable; urgency=medium

  * Team upload
  * Depend on python3-debugpy (Closes: #1004855)
  * Autopkgtest now tests all supported Python versions

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 Aug 2022 20:36:38 +0100

ipykernel (6.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Jul 2022 20:43:51 +0200

ipykernel (6.15.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 25 Jun 2022 08:19:40 +0200

ipykernel (6.13.1-2) unstable; urgency=medium

  * Unbreak the compilation (Closes: #1011964).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 14 Jun 2022 08:13:29 +0200

ipykernel (6.13.1-1) unstable; urgency=medium

  * New upstream version 6.13.1.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jun 2022 16:37:29 +0200

ipykernel (6.13.0-1) unstable; urgency=medium

  * New upstream version 6.13.0.
  * Refresh patches.
  * Rewrite b-deps (Closes: #1010259).
  * Add patch to fix an asyncio issue.
  * Add strange patch to disable a failing test.
  * Fix autopkgtest deps.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 May 2022 12:07:09 +0200

ipykernel (6.9.2-1) unstable; urgency=medium

  * New upstream version 6.9.2
  * New build-dependency: python3-psutil

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:57:19 +0000

ipykernel (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Jan 2022 19:13:49 +0000

ipykernel (6.6.1-1) unstable; urgency=medium

  * d/watch: allow leading v in version
  * New upstream version 6.6.1
  * Drop test-dependency on python3-nose
  * Standards-Version: 4.6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 07 Jan 2022 15:10:32 +0000

ipykernel (6.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * New upstream version 6.2.0
  * d/patches: rebase
  * d/control: add b-d on ipyparallel, matplotlib-inline
  * d/rules: update CHANGELOG location
  * d/tests/control: depend on python3-ipyparallel

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 19:22:27 +0000

ipykernel (5.5.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:07:19 -0400

ipykernel (5.5.5-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Gordon Ball ]
  * New upstream version 5.5.5
  * Rebase patches

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:02:57 +0000

ipykernel (5.4.3-1) unstable; urgency=medium

  * New upstream version 5.4.3

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Jan 2021 18:50:15 +0000

ipykernel (5.4.2-1) unstable; urgency=medium

  * New upstream version 5.4.2

 -- Gordon Ball <gordon@chronitis.net>  Sat, 12 Dec 2020 10:11:28 +0000

ipykernel (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Drop patch from 5.4.0, applied (promptly) upstream

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 21:09:02 +0000

ipykernel (5.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * New upstream version 5.4.0
  * Rebase patches, patch syntax error in ipykernel/log.py

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Dec 2020 12:35:13 +0000

ipykernel (5.3.4-1) unstable; urgency=medium

  * New upstream version 5.3.4.
  * Update team mailing list address.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Aug 2020 17:44:41 +0200

ipykernel (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1

 -- Gordon Ball <gordon@chronitis.net>  Sun, 05 Jul 2020 11:09:08 +0000

ipykernel (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Wed, 20 May 2020 18:33:55 +0000

ipykernel (5.2.1-1) unstable; urgency=medium

  * New upstream release 5.2.1

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:41:17 +0000

ipykernel (5.2.0-1) unstable; urgency=medium

  * New upstream release 5.2.0
  * Drop previous backport patch (in release)

 -- Gordon Ball <gordon@chronitis.net>  Sat, 21 Mar 2020 21:27:16 +0000

ipykernel (5.1.4-2) unstable; urgency=medium

  * Backport ipykernel#489 to fix incompatibility with jupyter-client 6.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Mar 2020 18:41:53 +0000

ipykernel (5.1.4-1) unstable; urgency=medium

  * New upstream version 5.1.4
  * Update Standards-Version to 4.5.0

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Mar 2020 00:07:56 +0100

ipykernel (5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3
  * Stop building python-ipykernel from this source package in order to allow
    python3-ipykernel to be updated to the python 3 only 5.x branch. Python
    2.7 support is provided for the time being by the forked source package
    ipykernel-py2 (building the same binary package).
  * The new version fixes issues with python 3.8 (closes: #943901)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 24 Dec 2019 21:34:18 +0000

ipykernel (4.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 19:10:00 +0000

ipykernel (4.9.0-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Drop build-depends on python{,3}-path (from 4.9.0-1ubuntu1)
  * Declare Rules-Requires-Root: no
  * Update Standards-Version to 4.4.0
  * Update debhelper compat level to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:06:42 +0000

ipykernel (4.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Use my debian.org mail address.
    - Update dates in d/copyright.
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Sep 2018 07:23:45 +0200

ipykernel (4.8.2-2) unstable; urgency=medium

  * Unbreak autopkgtest by restricting where tests are found.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 23 Feb 2018 22:16:57 +0100

ipykernel (4.8.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 Feb 2018 00:45:50 +0100

ipykernel (4.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to Standards-Version 4.1.3 (no changes)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 06 Feb 2018 15:14:55 +0000

ipykernel (4.7.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Update to Standards-Version: 4.1.2 (no changes)
  * Install upstream changelog
  * Remove _asyncio.py shim from python-ipykernel; this uses async/await
    syntax and causes postinstall to fail otherwise, and is only used for
    pytthon 3 testing.

  [ Julien Puydt ]
  * Refresh d/copyright.
  * Bump d/watch to version 4.

 -- Gordon Ball <gordon@chronitis.net>  Wed, 20 Dec 2017 20:30:09 +0000

ipykernel (4.6.1-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Update debian/watch.

  [ Gordon Ball ]
  * New upstream release.
  * Update to Standards-Version 4.0.0 (no changes)
  * Add myself to uploaders in d/control
  * Set X-Python3-Version to >= 3.3
  * Re-enable build-time tests, ipykernel#207 is reported fixed upstream

 -- Gordon Ball <gordon@chronitis.net>  Mon, 24 Jul 2017 22:22:25 +0200

ipykernel (4.5.2-2) unstable; urgency=medium

  * Team upload.
  * Disable the build-time test due to nondeterministic failures.
  * Run the test suite as an autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Tue, 27 Dec 2016 23:19:40 +0100

ipykernel (4.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add a timeout to the build-time tests until ipykernel#207 is resolved

 -- Gordon Ball <gordon@chronitis.net>  Sun, 04 Dec 2016 13:32:44 +0100

ipykernel (4.5.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 10:36:31 +0000

ipykernel (4.5.0-2) experimental; urgency=medium

  * Pushed dh compat to 10.
  * Added a patch from Daniel Shahaf to make the build reproducible.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 02 Oct 2016 14:33:45 +0200

ipykernel (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 06 Sep 2016 07:49:17 +0200

ipykernel (4.4.1-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Remove build-dependency on python-backports-shutil-get-terminal-size added
    in 4.3.1-2, it's not used.

  [ Julien Puydt ]
  * New upstream release.
  * Added dep on faulthandler, matplotlib and tornado.
  * Reversed the maintainer/uploaders fields.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 18 Aug 2016 06:17:48 +0200

ipykernel (4.3.1-2) experimental; urgency=medium

  [ Julien Cristau ]
  * Pre-install python2/python3 kernels for jupyter as part of the package.

  [ Julien Puydt ]
  * Push standards-version up.
  * Add depend on python-backports-shutil-get-terminal-size.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 22 Jul 2016 21:33:39 +0200

ipykernel (4.3.1-1) experimental; urgency=medium

  * Team upload

  [ Julien Puydt ]
  * Initial release. (Closes: #800936)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ David Douard ]
  * Update to 4.3.1
  * Add DPMT to Uploaders
  * Bump Standards-Version to 3.9.7

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 17:41:23 +0200
